{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
{# LG 20200824 old    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidActivite }}</div>#}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ ( poEntité.iidActivite is defined) ? poEntité.iidActivite : "" }}</div>
{% endblock %}

{% block formulaire %}
{#Modification Emma 02/09/2020  Début  #} 

    <div class="LesChamps mr-5 ml-5">
        
        <div class="d-flex justify-content-around flex-wrap">
            {#{{poEntité.iidActivite}}#}
        </div> 
        
        <div class="d-flex justify-content-start ">
            
            <div class="d-flex col-sm-8 flex-wrap">
            
                <div class="form-group col-sm-6">
                    {#LG 20200507 : le seul moyen trouvé de personnaliser la liste des activités de base (pour n'afficher que les AB pour lesquelles les ressources de l'activité sont compétentes)
                        est de remplir une div avec les options, puis de transporter celles-ci par Javascript après chargement de la page.
                        Voir private_fillCboActiBases() ci-dessous#}
                    {{ form_label(poForm.iactibase, "Acti de base", {'label_attr': {'class': 'required'}}) }}
                    {{ form_widget(poForm.iactibase, {'attr': {'class': 'form-control'}}) }}    {#le select va avoir l'id fEntityForm_activites_iactibase#}
                    {#                <label class="required" for="fEntityForm_activites_iactibase">Activité de base</label>
                                    <div id="ActiBase" class="">
                                       <select id="fEntityForm_activites_iactibase" name="fEntityForm_activites[iactibase]" class="form-control">
                                           {% include '@Paa/Default/entityOptionSelect.html.twig' with {'piSeletedId': poEntité.iActiBase.iidactibase} %}
                                       </select>
                                    </div>
                    #}
                </div>
                <div id="optionsDuSelectActibases" style="display: none;">
    {# LG 20200824 old                {% include '@Paa/Default/entityOptionSelect.html.twig' with {'piSeletedId': poEntité.iActiBase.iidactibase} %}#}
                    {% include '@Paa/Default/entityOptionSelect.html.twig' with {'piSeletedId': (poEntité.iActiBase.iidactibase is defined) ? poEntité.iActiBase.iidactibase : 0 } %}
                </div>  

                <div class="col-sm-6 d-flex pl-2 ">
                    <div class="form-group col-sm-12 col-md-6 mr-2">
                        {{ form_label(poForm.nprevusem, "Objectif", {'label_attr': {'class': ''}}) }}
                        <div id="Objectif" class="">
                            {{ form_widget(poForm.nprevusem, {'attr': {'class': 'form-control shadow-form-control border-0'}}) }}
                        </div>
                    </div>                  
                    <div class="form-group col-sm-12 col-md-6 mr-2">
                        {{ form_label(poForm.realise, "Réalisé", {'label_attr': {'class': ''}}) }}
                        <div id="réalisé" class="">
                            {{ form_widget(poForm.realise, {'attr': {'class': 'form-control shadow-form-control border-0'}}) }}
                        </div>
                    </div> 
                </div>
                    
            </div>        
        </div>           
                    
                    
                
        <div class="col-sm-12 d-flex  ">  
            <div class="form-group col-sm-8 d-flex flex-wrap">
{#	MG Modification 20200803 Début
 Validite n'étant pas un champ d'activité#}
                <div class ="col-sm-6">
                    <label class="required">Validité</label>
                    <div id="equipement" class="">
                            <select id="fEntityForm_activites_validite" class="form-control shadow-form-control border-0" required>
                                    <option value="1" selected>Cette semaine</option>
                                    <option value="2">Toutes les semaines</option>
                                    <option value="3">Cette année</option>
                                    <option value="4">Intervalle de semaines</option>
                            </select>
                    </div>
                </div>
                {#{{ form_label(poForm.validite, "Validité", {'label_attr': {'class': ''}}) }}
                <div id="equipement" class="">
                    {{ form_widget(poForm.validite, {'attr': {'class': 'form-control'}}) }}
                </div>#}
{#	MG Modification 20200803 Fin #}
                <div class="col-sm-6 d-flex pl-2 Valid-seance">   
                    <div  id="Hdeb" class="form-group col-md-6 mr-2" style="display:none;">
                        {{ form_label(poForm.heureDebut, "Date début") }}
                        <div id="Tdeb" class="">
                            {{ form_widget(poForm.heureDebut, {'attr': {'class': 'form-control shadow-form-control border-0'}}) }}
                        </div> 
                    </div>
                    <div id="Hfin" class="form-group col-md-6 mr-2" style="display:none;">
                        {{ form_label(poForm.heureFin, "Date fin") }}
                        <div id="Tfin" class="">
                            {{ form_widget(poForm.heureFin, {'attr': {'class': 'form-control shadow-form-control border-0'}}) }}
                        </div>
                    </div>
                    <div class="form-group col-sm-3 mr-2" style="display:none;">
                        {{ form_label(poForm.isemaine, "Numéro semaine début", {'label_attr': {'class': ''}}) }}
                        <div id="isemaine" class="">
                            {{ form_widget(poForm.isemaine, {'attr': {'class': 'form-control shadow-form-control border-0'}}) }}
                        </div>
                    </div>
                    <div class="form-group col-sm-3 mr-2" style="display:none;">
                        {{ form_label(poForm.isemaine_fin, "Numéro semaine fin", {'label_attr': {'class': ''}}) }}
                        <div id="isemaine_fin" class="">
                            {{ form_widget(poForm.isemaine_fin, {'attr': {'class': 'form-control shadow-form-control border-0'}}) }}
                        </div>
                    </div>
                </div>
            </div> 
        </div>
                    
         
                    
                    
        <div class="d-flex justify-content-between flex-wrap col-sm-12 mt-2">
            <div class="col-sm-4 mb-1 shadow-form-control rounded">
                {% include '@Paa/Widgets/cbcRessources.html.twig' with {'psType': 'checkListRessource', 'psId': 'cbcRessourcesActi', 'psHeight' : '100%', 'pbNoLoad': true} only %}
            </div>
            
            <div class="form-group col-sm-8 pl-3">
                <div class=" flex-column d-flex pt-3 pb-3 ">
                    
                    <div class="col-sm-12 d-flex align-items-center p-1">
                        {# LG 20200507 old                        <input type='checkbox'>Les usagers ne participent que s'ils sont inscrits individuellement#}
                        {{ form_widget(poForm.lforceusagers, {'attr': {"style":"float: left;"}}) }}
                        {{ form_label(poForm.lforceusagers, " Les usagers ne participent que s'ils sont inscrits individuellement", {'label_attr': {'class': 'm-0 pl-1 ' }})}}
                    </div> 
                    <div class="col-sm-12 d-flex align-items-center p-1">
                        {# LG 20200507 old                       <input type='checkbox'> Les usagers participent à TOUTES les séances de cette activité#}
                        {{ form_widget(poForm.lusagersttesseances, {'attr': {"style":"float: left;"}}) }}
                        {{ form_label(poForm.lusagersttesseances, "Les usagers participent à TOUTES les séances de cette activité", {'label_attr': {'class': 'm-0 pl-1 ' }})}}
                    </div>
                </div>
                <div class="d-flex justify-content-start flex-wrap col-sm-12">
                    <div class="form-group col-sm-9 m-0">
                        {{ form_label(poForm.mremarque, "Remarque", {'label_attr': {'class': 'col-sm-2 '}}) }}
                        <div id="remarque" class="">
                            {{ form_widget(poForm.mremarque, {'attr': {'class': 'form-control shadow-form-control border-0'}}) }}
                        </div>
                    </div>
                    <div class="col-sm-3 pl-3 pr-3 pt-3 d-flex flex-column justify-content-end">
                        
                            <div class="mb-3">
                                <input class="btn shadow-form-control" type='button' value="Vider les ressources" onClick = "viderRessources();" style="width:100%;">
                            </div>
                        
                                {% if app.environment is same as ("dev") %}
                                    
                            <div class="">
                                <input class="btn shadow-form-control" type='button' value="Charges..." style="width:100%; color: red;">
                            </div>
                                {% endif %}
                    </div>
                        

                </div>
            </div>
            {#<div class="col-sm-2">
                <div class="row">
                    <div class="col-sm-2">
                        <input type='button' value="Vider les ressources" onClick = "viderRessources();" style="margin-left: 40%;">
                    </div>
                </div>
                <br>
			{% if app.environment is same as ("dev") %}
                <div class="row">
                    <div class="col-sm-2">
                        <input type='button' value="Charges..." style="margin-left: 40%; color: red;">
                    </div>
                </div>
			{% endif %}
            </div>#}
        </div>        
    </div>
    {#old MG 20190312#}
    {#Remplacer par  {% include '@Paa/Widgets/cbcRessources.html.twig' with {'psType': 'checkListRessource', 'psId': 'cbcRessourcesActi', 'psHeight' : '100%', 'pbNoLoad': true} only %} l.22#}
    <div style = 'display : none'>
        <div>
            {{ form_label(poForm.intervenants, "Intervenants", {'label_attr': {'class': ''}}) }}
            <div id="Intervenants">
                {{ form_widget(poForm.intervenants, {'attr': {'class': 'form-control shadow-form-control border-0'}}) }}
            </div>
        </div>
        <div>
            {{ form_label(poForm.usagers, "Usagers", {'label_attr': {'class': ''}}) }}
            <div id="usagers">
                {{ form_widget(poForm.usagers, {'attr': {'class': 'form-control shadow-form-control border-0'}}) }}
            </div>
        </div>
        <div>
            {{ form_label(poForm.groupes, "Groupes", {'label_attr': {'class': ''}}) }}
            <div id="Groupe">
                {{ form_widget(poForm.groupes, {'attr': {'class': 'form-control shadow-form-control border-0'}}) }}
            </div>
        </div>
        <div>
            {{ form_label(poForm.salles, "Equipements", {'label_attr': {'class': ''}}) }}
            <div id="equipement">
                {{ form_widget(poForm.salles, {'attr': {'class': 'form-control shadow-form-control border-0'}}) }}
            </div>
        </div>
    </div>
{% endblock %}
{% block fin %}            
    <script>
{#LG 20200510 old        function initcombo2() {#}
        function private_fillComboRessources() {
            initcombo();
{# LG 20200824 début            ajax_FillcbcRessources($("#cbcRessourcesActi")[0], "", {'acti': {{poEntité.iidActivite}}});#}
            ajax_FillcbcRessources($("#cbcRessourcesActi")[0], "", {'acti': {{ ( poEntité.iidActivite is defined) ? poEntité.iidActivite : 0 }}});
        } ;

        function selectContientValue(idselect, value) {
            var result = false;
            $(idselect + ' option').each(function () {
                if ($(this).val() === value) {
                    result = true;
                    return false;
                }
            });
            return result;
        }

        function setValueSelect(idselect, values) {
            var Tab = [];
            for (i = 0; i < values.length; i++) {
                if (selectContientValue(idselect, values[i])) {
                    Tab.push(values[i]);
                }
            }
            $(idselect).val(Tab);
        }

        function setRessources(ressourcesSelected) {
            if (!ressourcesSelected) {
                ressourcesSelected = '';
            }
            for (i = 0; i < ressourcesSelected.length; i++) {
                ressourcesSelected[i] = ressourcesSelected[i].substring(1);
            }
            setValueSelect('#fEntityForm_activites_intervenants', ressourcesSelected);
            setValueSelect('#fEntityForm_activites_usagers', ressourcesSelected);
            setValueSelect('#fEntityForm_activites_groupes', ressourcesSelected);
            setValueSelect('#fEntityForm_activites_salles', ressourcesSelected);
        }

        $('#cbcRessourcesActi').change(function () {
            setRessources($(this).val());
        });

        function viderRessources() {
            $(".active input").each(function () {
                $('#cbcRessourcesActi').multiselect('deselect', $(this).val());
                setRessources();
{#LG 20200507 début#}
                window.entityFormGrille.oEntityForm.SetChangementsEnAttente(true);
{#LG 20200507 fin#}
            });
			{#MG 20200810 début#}
{#Une fois les ressources vidées, recharger la liste des actibases#}
				ajax_FillActibase($("#fEntityForm_activites_iactibase"),"");
{#MG 20200810 fin#}
        };

        $('#fEntityForm_activites_iactibase').change(function(){
		//MG Modification 20200806 Début
            {#ajax_FillcbcRessources($("#cbcRessourcesActi")[0], "", {'acti':{{poEntité.iidActivite}},
				'actibase': $(this).val()#}
				ajax_FillcbcRessources($("#cbcRessourcesActi")[0], "", {'noActi':true,
                'actibase': $(this).val()
				});
				
				
		//MG Modification 20200806 Fin
        });
		
	{#MG Ajout 20200803 Début#}
	//Mettre a jour les actibases selon les ressources du cbcRessources selectionnés
		$('#cbcRessourcesActi').change(function(){
{#	MG Modification 20200813 Début		#}
{# Reutilisation de ce code -> création de la fonction getListeRessources #}
			{#listeRessources = [];
			$('.active > a > label > input').each(function(){
				listeRessources.push($(this).attr('value'));
			});
			ajax_FillActibase($("#fEntityForm_activites_iactibase"),listeRessources);#}
			ajax_FillActibase($("#fEntityForm_activites_iactibase"),getListeRessources());
{#	MG Modification 20200813 Fin  		#}
		});
	{#MG Ajout 20200803 Fin#}
		
        {#MG Ajout Debut 2020107          #}        
        function setDateDebutFin(premiereDate) {
            var dateDebut;
            var dateFin;
            var semaineDebut;
            var semaineFin;
//MG Modification 20200803 Début
			switch(premiereDate){
				//Cas dans l'ordre du select
				case 1:
					//"Cette semaine ", on associe nos variables aux dates du cbo2Dates
					dateDebut = window.oPaa.getDateDebut('YYYY-MM-DD');
					dateFin = window.oPaa.getDateFin('YYYY-MM-DD');
					semaineDebut = window.oPaa.getSemaineDebut();
					semaineFin = window.oPaa.getSemaineFin();
					break;
				case 2:
					 //"Toutes les semaines", on associe la première et la dernière date à la première date Paa				
					dateDebut = window.oPaa.getDate('01/01/1951', 'YYYY-MM-DD');
					dateFin = window.oPaa.getDate('01/01/1951', 'YYYY-MM-DD');
					semaineDebut = window.oPaa.getNoSemaine('01/01/1951');
					semaineFin = window.oPaa.getNoSemaine('01/01/1951');
					break;
				case 3:
					//"Cette année", on associe nos variables à la première et dernière dates de l'année.
					dateDebut = window.oPaa.getDateDebutAnnee('YYYY-MM-DD');
					dateFin = window.oPaa.getDateFinAnnee('YYYY-MM-DD');
					semaineDebut = window.oPaa.getSemaineDebutAnnee();
					semaineFin = window.oPaa.getSemaineFinAnnee();
					break;
				case 4:
					//"Intervalle de semaines", on associe nos variables à la première et dernière date désignées par l'utilisateur
					dateDebut = window.oPaa.getDate($('#fEntityForm_activites_heureDebut').val(),'YYYY-MM-DD');
					dateFin = window.oPaa.getDate($('#fEntityForm_activites_heureFin').val(),'YYYY-MM-DD');
					semaineDebut = window.oPaa.getNoSemaine(dateDebut);
					semaineFin = window.oPaa.getNoSemaine(dateFin);
					break;
			}
           {# if (premiereDate === 'semaine') {
                // premiereDate n'est pas définie, on associe nos variables aux dates du cbo2Dates
                dateDebut = window.oPaa.getDateDebut('YYYY-MM-DD');
                dateFin = window.oPaa.getDateFin('YYYY-MM-DD');
                semaineDebut = window.oPaa.getSemaineDebut();
                semaineFin = window.oPaa.getSemaineFin();
            } else if (premiereDate === 'année') {
                //premiereDate est définie mais n'est pas true, on associe la première et dernière date de l'année aux dates du cbo2Dates
                dateDebut = window.oPaa.getDateDebutAnnee('YYYY-MM-DD');
                dateFin = window.oPaa.getDateFinAnnee('YYYY-MM-DD');
                semaineDebut = window.oPaa.getSemaineDebutAnnee();
                semaineFin = window.oPaa.getSemaineFinAnnee();
				//MG Ajout 20200803 Début
				// Pour l'intervalle de semaine
			} else if (premiereDate === 'intervalle') {
				dateDebut = window.oPaa.getDate($('#fEntityForm_activites_heureDebut').val(),'YYYY-MM-DD');
                dateFin = window.oPaa.getDate($('#fEntityForm_activites_heureFin').val(),'YYYY-MM-DD');
                semaineDebut = window.oPaa.getNoSemaine(dateDebut);
                semaineFin = window.oPaa.getNoSemaine(dateFin);
				//MG Ajout 20200803 Fin			
            } else {
                //premiereDate est définie , on associe la première et dernière date Paa aux dates du cbo2Dates
                dateDebut = window.oPaa.getDate('01/01/1951', 'YYYY-MM-DD');
                dateFin = window.oPaa.getDate('01/01/1951', 'YYYY-MM-DD');
                semaineDebut = window.oPaa.getNoSemaine('01/01/1951');
                semaineFin = window.oPaa.getNoSemaine('01/01/1951');
            }#}
//MG Modification 20200803 Fin
			
            $('#fEntityForm_activites_heureDebut').val(dateDebut);
            $('#fEntityForm_activites_heureFin').val(dateFin);
            $('#fEntityForm_activites_isemaine').val(semaineDebut);
            $('#fEntityForm_activites_isemaine_fin').val(semaineFin);

        }
        ;

        function displayChoixDates() {
            if ($('#fEntityForm_activites_validite').val() != 4) {
                $('#Hdeb').attr('style', 'display:none');
                $('#Hfin').attr('style', 'display:none');
            } else {
                $('#Hdeb').attr('style', 'display:true');
                $('#Hfin').attr('style', 'display:true');
            }
        }

        {#MG Ajout Fin 2020107            #} 

        {#MG Ajout Début 20200106        #}

        {#LG 20200507 début #}
            // Remplir les options de la combo des activités de base
            function private_fillCboActiBases() {
                var lsHtmlOptions = $("#optionsDuSelectActibases").html();
                if (lsHtmlOptions) {
                    // La div réservée aux options est remplie : l'utiliser pour remplir la liste des options de la combo
                    $("#fEntityForm_activites_iactibase").html(lsHtmlOptions);
                    $("#optionsDuSelectActibases").html("");
                }
            }
        {#LG 20200507 fin #}
            
        {#LG 20200510 début #}
            function private_initChoixDates() {
//                displayChoixDates();
                var liSemDébut, liSemFin
                liSemDébut = parseInt($("#fEntityForm_activites_isemaine").val()) ;
                liSemFin = parseInt($("#fEntityForm_activites_isemaine_fin").val()) ;
                if (liSemDébut === 0) {
                    // Activité de la semaine récurrente
                    $('#fEntityForm_activites_validite').val('2');
{#                    setDateDebutFin('true');#}
                    setDateDebutFin(2);
                    
                } else if (!liSemFin || liSemDébut === liSemFin) {
                    // Activité sur une seule semaine
                    $('#fEntityForm_activites_validite').val('1');
                    setDateDebutFin(1);
                 
                } else if (liSemDébut === window.oPaa.getSemaineDebutAnnee() && liSemFin === window.oPaa.getSemaineFinAnnee()) {
                    // Activité sur toute l'année en cours
                    $('#fEntityForm_activites_validite').val('3');
                    setDateDebutFin(3);
                    
                } else {
                    // Activité valable sur un intervalle de semaines
                    $('#fEntityForm_activites_validite').val('4');
					//MG Modification 20200803 Début
					// Date enregistrée comme pour "cette semaine"
{#					setDateDebutFin();#}
					setDateDebutFin(4);
					//MG Modification 20200803 Fin
                    
                }
                displayChoixDates();
            }
        {#LG 20200510 fin #}

            $(document).ready(function () {
        {#LG 20200507 début #}
                private_fillCboActiBases();
        {#LG 20200507 fin #}
{#LG 20200510 old        initcombo2() ;#}
                private_fillComboRessources();
{#LG 20200510 début#}
{#                displayChoixDates();
                if (window.oPaa.getSemaineDebut() === window.oPaa.getSemaineFin()) {
                    $('#fEntityForm_activites_validite').val('1');
                    setDateDebutFin();
                } else if (window.oPaa.getSemaineDebut() === 0) {
                    $('#fEntityForm_activites_validite').val('2');
                    setDateDebutFin('true');
                } else if (window.oPaa.getSemaineDebutAnnee() === window.oPaa.getSemaineDebut() && window.oPaa.getSemaineFinAnnee() === window.oPaa.getSemaineFin()) {
                    $('#fEntityForm_activites_validite').val('3');
                    setDateDebutFin('année');
                } else {
                    $('#fEntityForm_activites_validite').val('4');
                    setDateDebutFin();
                }
                displayChoixDates();
#}
                private_initChoixDates() ;
{#LG 20200510 fin#}
            });
        {#MG Ajout Fin 20200106          #}
        {#MG Ajout Debut 2020107          #}
            $('#fEntityForm_activites_validite').change(function () {
                var valueSelect = $(this).val();
                // Exécution différentes selon l'option du select selectionnée
                switch (valueSelect) {
                    case '1':
                        setDateDebutFin(1);
                        break;
                    case '2':
                        setDateDebutFin(2);
                        break;
                    case '3':
                        setDateDebutFin(3);
                        break;
                    case '4':
                        setDateDebutFin(4);
                        break;
                }
                ;
                displayChoixDates();
            });
        {#MG Ajout Fin 2020107          #}
							
		{# MG Ajout 20200803 Debut #}
		// Lorsque que la date est modifiée, on actualise.
			$('#fEntityForm_activites_heureDebut').change(function(){
				setDateDebutFin(4);
			});
			
			$('#fEntityForm_activites_heureFin').change(function(){
				setDateDebutFin(4);
			});
		{# MG Ajout 20200803 Fin#}
		{# MG Ajout 20200813 Début #}
			function getListeRessources(){
				listeRessources = [];
				$('.active > a > label > input').each(function(){
					listeRessources.push($(this).attr('value'));
				});
				return listeRessources;
			}
		{# MG Ajout 20200813 Fin #}
    </script>

{% endblock %}
